package org.apache.bcel.verifier.exc;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Arrays;

public final class AssertionViolatedException extends RuntimeException {
  private static final long serialVersionUID = -129822266349567409L;
  
  private String detailMessage;
  
  public static void main(String[] args) {
    org.apache.bcel.verifier.exc.AssertionViolatedException ave = new org.apache.bcel.verifier.exc.AssertionViolatedException(Arrays.toString((Object[])args));
    ave.extendMessage("\nFOUND:\n\t", "\nExiting!!\n");
    throw ave;
  }
  
  public AssertionViolatedException() {}
  
  public AssertionViolatedException(String message) {
    super(message = "INTERNAL ERROR: " + message);
    this.detailMessage = message;
  }
  
  public AssertionViolatedException(String message, Throwable initCause) {
    super(message = "INTERNAL ERROR: " + message, initCause);
    this.detailMessage = message;
  }
  
  public void extendMessage(String pre, String post) {
    if (pre == null)
      pre = ""; 
    if (this.detailMessage == null)
      this.detailMessage = ""; 
    if (post == null)
      post = ""; 
    this.detailMessage = pre + this.detailMessage + post;
  }
  
  public String getMessage() {
    return this.detailMessage;
  }
}
